
Ruby - Bug #12762

missing links in LEGAL

09/14/2016 12:50 PM - znz (Kazuhiro NISHIYAMA)

Status: Closed   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Target version:    

ruby -v: trunk Backport: 2.3: REQUIRED, 2.4: DONE, 2.5: DONE

Description

LEGAL の Oniguruma の節にある URL が以下の3つ全てリンク切れのようです。

random.c の http://www.math.keio.ac.jp/matumoto/emt.html もないようです。

ext/win32ole/win32ole.c の http://www.ActiveWare.com もないようです。

Related issues:

Related to Ruby - Bug #16820: LEGAL is out of sync Closed

Associated revisions

Revision 322d0d93adfe42fc89c574f67bcb9acb9b82f251 - 02/21/2018 07:12 AM - hsbt (Hiroshi SHIBATA)

Update url with 404 status on LEGAL file.

Update redirected and upstream url.

Added the Wayback Machine url for missing link.

[Bug #12762][ruby-dev:49802]

From: SHIBATA Hiroshi hsbt@ruby-lang.org

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62513 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 322d0d93 - 02/21/2018 07:12 AM - hsbt (Hiroshi SHIBATA)

Update url with 404 status on LEGAL file.

Update redirected and upstream url.

Added the Wayback Machine url for missing link.

[Bug #12762][ruby-dev:49802]

From: SHIBATA Hiroshi hsbt@ruby-lang.org

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62513 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a94362d31f4dffd83494afc4909e8f5e311571bd - 02/24/2018 07:19 AM - naruse (Yui NARUSE)

merge revision(s) 62513: [Backport #12762]

    Update url with 404 status on LEGAL file.

      * Update redirected and upstream url.

      * Added the Wayback Machine url for missing link.

      [Bug #12762][ruby-dev:49802]

    From: SHIBATA Hiroshi <hsbt@ruby-lang.org>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@62561 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a94362d3 - 02/24/2018 07:19 AM - naruse (Yui NARUSE)

merge revision(s) 62513: [Backport #12762]

    Update url with 404 status on LEGAL file.

      * Update redirected and upstream url.
      * Added the Wayback Machine url for missing link.

      [Bug #12762][ruby-dev:49802]

    From: SHIBATA Hiroshi <hsbt@ruby-lang.org>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@62561 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 943b3ae5f664bd90d9a6c1aa94fa9289d2085f5b - 06/30/2018 12:34 PM - U.Nakamura 

merge revision(s) 62513: [Backport #12762]

    Update url with 404 status on LEGAL file.

      * Update redirected and upstream url.

      * Added the Wayback Machine url for missing link.

      [Bug #12762][ruby-dev:49802]

    From: SHIBATA Hiroshi <hsbt@ruby-lang.org>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@63804 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 943b3ae5f664bd90d9a6c1aa94fa9289d2085f5b - 06/30/2018 12:34 PM - U.Nakamura 

merge revision(s) 62513: [Backport #12762]

    Update url with 404 status on LEGAL file.

      * Update redirected and upstream url.

      * Added the Wayback Machine url for missing link.

      [Bug #12762][ruby-dev:49802]

    From: SHIBATA Hiroshi <hsbt@ruby-lang.org>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@63804 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 943b3ae5 - 06/30/2018 12:34 PM - U.Nakamura 

merge revision(s) 62513: [Backport #12762]

    Update url with 404 status on LEGAL file.

      * Update redirected and upstream url.

      * Added the Wayback Machine url for missing link.

      [Bug #12762][ruby-dev:49802]

    From: SHIBATA Hiroshi <hsbt@ruby-lang.org>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@63804 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/15/2016 05:35 AM - duerst (Martin Dürst)

In some cases, there may be no way anymore to access the information, but the LEGAL file may still need to document where we got the information

from. That means that we may need to keep the dangling links because we have nothing better. Maybe we can add something like "accessed at

DATE" or so.

#2 - 09/15/2016 10:03 AM - vagish (Vagish Vela)

We can also attach wayback machine links such as http://web.archive.org/web/19990429082237/http://www.math.keio.ac.jp/matumoto/emt.html (for

random.c の http://www.math.keio.ac.jp/matumoto/emt.html もないようです。).

We can only do this for links we can find.

I can do this and submit a patch? Haven't done this before.

#3 - 09/16/2016 03:04 AM - shevegen (Robert A. Heiler)

The wayback machine idea sounds good.

In addition to that, perhaps for links that may no longer exist, one could mention the year where it last worked or so, just as a rough guide for people

who may want to find out when something became obsolete (I mean the link itself).
#4 - 02/21/2018 07:12 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

Applied in changeset trunk|r62513.

Update url with 404 status on LEGAL file.

Update redirected and upstream url.

Added the Wayback Machine url for missing link.

[Bug #12762][ruby-dev:49802]

From: SHIBATA Hiroshi hsbt@ruby-lang.org

#5 - 02/21/2018 07:17 AM - hsbt (Hiroshi SHIBATA)

- Assignee set to hsbt (Hiroshi SHIBATA)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.3: REQUIRED, 2.4: REQUIRED, 2.5: REQUIRED

ライセンス自体に URL が埋め込まれているものはそのままにして The Wayback Machine の URL を追加、新しい先があるものはそれらを更新などしました。

#6 - 02/24/2018 07:19 AM - naruse (Yui NARUSE)

- Backport changed from 2.3: REQUIRED, 2.4: REQUIRED, 2.5: REQUIRED to 2.3: REQUIRED, 2.4: REQUIRED, 2.5: DONE

ruby_2_5 r62561 merged revision(s) 62513.

#7 - 06/30/2018 12:34 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.3: REQUIRED, 2.4: REQUIRED, 2.5: DONE to 2.3: REQUIRED, 2.4: DONE, 2.5: DONE

ruby_2_4 r63804 merged revision(s) 62513.

#8 - 04/29/2020 08:06 AM - shyouhei (Shyouhei Urabe)

- Related to Bug #16820: LEGAL is out of sync added
